Subject: Re: linux-next: manual merge of the msm tree with the arm tree

From: Russell King <[email-masked]>
Date: Tue, 19 Oct 2010 19:53:13 +0100

On Tue, Oct 19, 2010 at 11:42:37AM -0700, Daniel Walker wrote:
> 
> > That's why on occasions we do transgress the established process to 
> > accommodate such changes.  Imagine just for a moment the patch that 
> > modified the interrupt callback prototype to remove the useless pt_regs 
> > argument.  Obviously, it had to be done atomically to the _whole_ tree, 
> > and it was agreed that this patch was to be applied at the end of the 
> > merge window.  But no one expected a single minute sending a CC to _all_ 
> > the driver authors.
> 
> I don't actually know which patch your talking about, but it sounds
> pretty simple.. I'm not really addressing really simple fixes, even tho
> changing a single parameter on a function could be done broken up
> depending on what it is.

As you think that it's a simple matter, I challenge you to break this
change up in a way that doesn't result in any build breakage:
	7d12e780e003f93433d49ce78cfedf4b4c52adc5

-- 
Russell King
 Linux kernel    2.6 ARM Linux   - http://www.arm.linux.org.uk/
 maintainer of: